function [Observed,Latent,OHLP]=findPossibleLatent(cc)

 % initialize- read the observed variables from the data (major clusters
    Observed=struct([]);
    for k=1:length(cc(1,:))
    Observed(k).name=['O',num2str(k)];
    Observed(k).PCC_index=k;
    Observed(k).parentAdded=false;
    Observed(k).SLP=[];
    Observed(k).CH=[];
    Observed(k).PA=[];
    Observed(k).type='Observed';
    Observed(k).parentAdded2=false;% for the latent split
    Observed(k).SLP2=[];% for the latent split
    Observed(k).CH2=[];% for the latent split
    Observed(k).PA2=[];% for the latent split
    end

% find possible latent
OHLP=[];
ohlp_index=0;
latent_index=0;
Latent=struct([]);
%first main loop
for i=1:length(Observed)
    slp_index=0; %in the beginning no other obs identified to have the same parent
    for j=1:length(Observed)
        if i==j
            continue;
        end
        flag=0;
        for t=1:length(cc(:,1))
            if cc(t,i)~=cc(t,j)
                flag=1;
            end
        end
        if(flag==0)
           slp_index=slp_index+1;
            Observed(i).SLP(slp_index)=j;
            found=0;
            for k=1:length(OHLP)
                if(OHLP(k)==i)
                    found=1;
                    break;
                end
            end
            if(found==0)
                ohlp_index=ohlp_index+1;
                OHLP(ohlp_index)=i;
            end
                
        end%if
    end%for
end%for
 %second main loop
 if length(OHLP)~=0
    for k=1:length(OHLP(1,:))
        if Observed(OHLP(k)).parentAdded==false
            Observed(OHLP(k)).name
            latent_index=latent_index+1;
            latent_index
            Latent(latent_index).name=['L',num2str(latent_index)];
            Latent(latent_index).name
           % Latent(latent_index).sd=0;
            Latent(latent_index).CH=[];
            Latent(latent_index).OCH=[];
            Latent(latent_index).CH_2S=[];
            Latent(latent_index).PA=[];
            Latent(latent_index).K={};% number of changes in PCCS_2S_tag -one for each path
            Latent(latent_index).W={};
            Latent(latent_index).D=[];
            Latent(latent_index).UD=[];
            Latent(latent_index).PATH={};
            Latent(latent_index).PPS={};
            Latent(latent_index).type='Latent';
            Latent(latent_index).CH(1)=OHLP(k);
            Latent(latent_index).OCH(1)=OHLP(k);
            Latent(latent_index).PCC_index=length(Observed)+latent_index;
            Observed(OHLP(k)).parentAdded=true;
            Observed(OHLP(k)).PA(1)=Latent(latent_index).PCC_index;
            for j=1:length (Observed(OHLP(k)).SLP)
                Latent(latent_index).CH(j+1)=Observed(OHLP(k)).SLP(j);
                Latent(latent_index).OCH(j+1)=Observed(OHLP(k)).SLP(j);
                Observed(Observed(OHLP(k)).SLP(j)).parentAdded=true;
                Observed(Observed(OHLP(k)).SLP(j)).PA(1)=Latent(latent_index).PCC_index;
            end
        end
    end
 end